Groovy 1.7.0

## org.codehaus.groovy.bsf
Class GroovyEngine

    java.lang.Object
      org.apache.bsf.util.BSFEngineImpl
          org.codehaus.groovy.bsf.GroovyEngine

    class GroovyEngine
    extends org.apache.bsf.util.BSFEngineImpl

A BSF Engine for the Groovy scripting language.

It's derived from the Jython / JPython engine

author:
  James Strachan

Field Summary
`protected GroovyShell` | `shell`

Constructor Summary
`GroovyEngine()`

Method Summary
`Object` | `apply(String source, int lineNo, int columnNo, Object funcBody, Vector paramNames, Vector arguments)` Allow an anonymous function to be declared and invoked
`Object` | `call(Object object, String method, Object[] args)` Call the named method of the given object.
`void` | `declareBean(BSFDeclaredBean bean)` Declare a bean
`Object` | `eval(String source, int lineNo, int columnNo, Object script)` Evaluate an expression.
`void` | `exec(String source, int lineNo, int columnNo, Object script)` Execute a script.
`protected GroovyShell` | `getEvalShell()`
`void` | `initialize(BSFManager mgr, String lang, Vector declaredBeans)` Initialize the engine.
`void` | `undeclareBean(BSFDeclaredBean bean)` Undeclare a previously declared bean.

Methods inherited from class org.apache.bsf.util.BSFEngineImpl
initialize, exec, propertyChange, apply, compileApply, compileExpr, compileScript, declareBean, iexec, terminate, undeclareBean, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll, eval, call

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### shell

    protected GroovyShell shell

Constructor Detail

### GroovyEngine

    GroovyEngine()

Method Detail

### apply

    public Object apply(String source, int lineNo, int columnNo, Object funcBody, Vector paramNames, Vector arguments)

  Allow an anonymous function to be declared and invoked

### call

    public Object call(Object object, String method, Object[] args)

  Call the named method of the given object.

### declareBean

    public void declareBean(BSFDeclaredBean bean)

  Declare a bean

### eval

    public Object eval(String source, int lineNo, int columnNo, Object script)

  Evaluate an expression.

### exec

    public void exec(String source, int lineNo, int columnNo, Object script)

  Execute a script.

### getEvalShell

    protected GroovyShell getEvalShell()

  return:
    a newly created GroovyShell using the same variable scope but a new class loader

### initialize

    public void initialize(BSFManager mgr, String lang, Vector declaredBeans)

  Initialize the engine.

### undeclareBean

    public void undeclareBean(BSFDeclaredBean bean)

  Undeclare a previously declared bean.

Copyright © 2003-2009 The Codehaus. All rights reserved.